<?php
if (!defined('R_P')) exit("access Die");
require_once(R_P . "/include/class.qmecmsSpecial.php");
class qmecmsAcategory extends qmecmsSpecial {
	function qmecmsAcategory($channelid) {
		$this -> channelid = $channelid;
	} 

	function extend_update($cid) {
		$extdata = '';
		$extdata_array = array();
		$temp = $_POST['extdata'];
		if(is_array($temp['key']) && is_array($temp['value'])){
			foreach($temp['key'] as $key=>$val){
				$extdata_array['cate_' . trim($val)] =  trim($temp['value'][$key]);
			}
		}
		$extdata = !empty($extdata_array) ? addslashes(stripslashes(serialize($extdata_array))) : '';
		qdb::query("update ".TABLEPRE."acategory set extdata = '{$extdata}' where cid = '{$cid}' ");		
	} 
} 

?>